Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
autogenerated files (sorry)
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27 VPATH = @srcdir@
28 pkgdatadir = $(datadir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkgincludedir = $(includedir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 target_triplet = @target@
46 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/libtool.m4 \
58         $(top_srcdir)/acmacro/ltoptions.m4 \
59         $(top_srcdir)/acmacro/ltsugar.m4 \
60         $(top_srcdir)/acmacro/ltversion.m4 \
61         $(top_srcdir)/acmacro/lt~obsolete.m4 \
62         $(top_srcdir)/acmacro/print_null.m4 \
63         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
64 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
65         $(ACLOCAL_M4)
66 mkinstalldirs = $(install_sh) -d
67 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
68 CONFIG_CLEAN_FILES = run_tests
69 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
70         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
71 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
72         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
73         surf/surf_usage2$(EXEEXT)
74 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
75 simdag_sd_test_SOURCES = simdag/sd_test.c
76 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
77 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
78 am__dirstamp = $(am__leading_dot)dirstamp
79 surf_lmm_usage_SOURCES = surf/lmm_usage.c
80 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
81 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
82 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
83 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
84 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
85 surf_surf_usage_SOURCES = surf/surf_usage.c
86 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
87 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
88 surf_surf_usage2_SOURCES = surf/surf_usage2.c
89 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
90 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
91 surf_trace_usage_SOURCES = surf/trace_usage.c
92 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
93 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
94 xbt_context_usage_SOURCES = xbt/context_usage.c
95 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
96 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
97 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
98 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
99 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
100 xbt_heap_bench_SOURCES = xbt/heap_bench.c
101 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
102 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
103 xbt_log_usage_SOURCES = xbt/log_usage.c
104 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
105 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
106 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
107 depcomp = $(SHELL) $(top_srcdir)/depcomp
108 am__depfiles_maybe = depfiles
109 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
110         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
111 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
112         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
113         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114 CCLD = $(CC)
115 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
116         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
117         $(LDFLAGS) -o $@
118 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
119         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
120         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
121         xbt/log_usage.c
122 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
123         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
124         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
125         xbt/log_usage.c
126 ETAGS = etags
127 CTAGS = ctags
128 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
129 ACLOCAL = @ACLOCAL@
130 ADDR2LINE = @ADDR2LINE@
131 AMTAR = @AMTAR@
132 AM_CPPFLAGS = @AM_CPPFLAGS@
133 AR = @AR@
134 AS = @AS@
135 AUTOCONF = @AUTOCONF@
136 AUTOHEADER = @AUTOHEADER@
137 AUTOMAKE = @AUTOMAKE@
138 AWK = @AWK@
139 BASH = @BASH@
140 CC = @CC@
141 CCDEPMODE = @CCDEPMODE@
142 CFLAGS = @CFLAGS@
143 CPP = @CPP@
144 CPPFLAGS = @CPPFLAGS@
145 CXX = @CXX@
146 CXXCPP = @CXXCPP@
147 CXXDEPMODE = @CXXDEPMODE@
148 CXXFLAGS = @CXXFLAGS@
149 CYGPATH_W = @CYGPATH_W@
150 DEFS = @DEFS@
151 DEPDIR = @DEPDIR@
152 DLLTOOL = @DLLTOOL@
153 DOXYGEN = @DOXYGEN@
154 DSYMUTIL = @DSYMUTIL@
155 DUMPBIN = @DUMPBIN@
156 ECHO_C = @ECHO_C@
157 ECHO_N = @ECHO_N@
158 ECHO_T = @ECHO_T@
159 EGREP = @EGREP@
160 EXEEXT = @EXEEXT@
161 FGREP = @FGREP@
162 FLEXML = @FLEXML@
163 GCJ = @GCJ@
164 GCJDEPMODE = @GCJDEPMODE@
165 GCJFLAGS = @GCJFLAGS@
166 GRAS_DEP = @GRAS_DEP@
167 GREP = @GREP@
168 INSTALL = @INSTALL@
169 INSTALL_DATA = @INSTALL_DATA@
170 INSTALL_PROGRAM = @INSTALL_PROGRAM@
171 INSTALL_SCRIPT = @INSTALL_SCRIPT@
172 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
173 JAR = @JAR@
174 JAVA = @JAVA@
175 JAVAC = @JAVAC@
176 LD = @LD@
177 LDFLAGS = @LDFLAGS@
178 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
179 LEX = @LEX@
180 LEXLIB = @LEXLIB@
181 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
182 LIBOBJS = @LIBOBJS@
183 LIBS = @LIBS@
184 LIBTOOL = @LIBTOOL@
185 LIPO = @LIPO@
186 LN_S = @LN_S@
187 LTLIBOBJS = @LTLIBOBJS@
188 MAINT = @MAINT@
189 MAKEINFO = @MAKEINFO@
190 MKDIR_P = @MKDIR_P@
191 NM = @NM@
192 NMEDIT = @NMEDIT@
193 OBJDUMP = @OBJDUMP@
194 OBJEXT = @OBJEXT@
195 OTOOL = @OTOOL@
196 OTOOL64 = @OTOOL64@
197 PACKAGE = @PACKAGE@
198 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
199 PACKAGE_NAME = @PACKAGE_NAME@
200 PACKAGE_STRING = @PACKAGE_STRING@
201 PACKAGE_TARNAME = @PACKAGE_TARNAME@
202 PACKAGE_VERSION = @PACKAGE_VERSION@
203 PATH_SEPARATOR = @PATH_SEPARATOR@
204 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
205 RANLIB = @RANLIB@
206 SED = @SED@
207 SET_MAKE = @SET_MAKE@
208 SHELL = @SHELL@
209 SIMGRID_DEP = @SIMGRID_DEP@
210 SMPI_DEP = @SMPI_DEP@
211 STRIP = @STRIP@
212 VERSION = @VERSION@
213 WARNING = @WARNING@
214 abs_builddir = @abs_builddir@
215 abs_srcdir = @abs_srcdir@
216 abs_top_builddir = @abs_top_builddir@
217 abs_top_srcdir = @abs_top_srcdir@
218 ac_configure_args = @ac_configure_args@
219 ac_ct_CC = @ac_ct_CC@
220 ac_ct_CXX = @ac_ct_CXX@
221 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
222 am__include = @am__include@
223 am__leading_dot = @am__leading_dot@
224 am__quote = @am__quote@
225 am__tar = @am__tar@
226 am__untar = @am__untar@
227 bindir = @bindir@
228 build = @build@
229 build_alias = @build_alias@
230 build_cpu = @build_cpu@
231 build_id = @build_id@
232 build_os = @build_os@
233 build_vendor = @build_vendor@
234 builddir = @builddir@
235 datadir = @datadir@
236 datarootdir = @datarootdir@
237 docdir = @docdir@
238 dvidir = @dvidir@
239 exec_prefix = @exec_prefix@
240 host = @host@
241 host_alias = @host_alias@
242 host_cpu = @host_cpu@
243 host_os = @host_os@
244 host_vendor = @host_vendor@
245 htmldir = @htmldir@
246 includedir = @includedir@
247 infodir = @infodir@
248 install_sh = @install_sh@
249 libdir = @libdir@
250 libexecdir = @libexecdir@
251 localedir = @localedir@
252 localstatedir = @localstatedir@
253 lt_ECHO = @lt_ECHO@
254 mandir = @mandir@
255 mkdir_p = @mkdir_p@
256 oldincludedir = @oldincludedir@
257 pdfdir = @pdfdir@
258 prefix = @prefix@
259 program_transform_name = @program_transform_name@
260 psdir = @psdir@
261 pth_skaddr_makecontext = @pth_skaddr_makecontext@
262 pth_sksize_makecontext = @pth_sksize_makecontext@
263 sbindir = @sbindir@
264 sharedstatedir = @sharedstatedir@
265 srcdir = @srcdir@
266 sysconfdir = @sysconfdir@
267 target = @target@
268 target_alias = @target_alias@
269 target_cpu = @target_cpu@
270 target_os = @target_os@
271 target_vendor = @target_vendor@
272 top_builddir = @top_builddir@
273 top_srcdir = @top_srcdir@
274 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
275 AM_CFLAGS = -g
276 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
277 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
278 EXTRA_DIST = run_tests.in \
279   xbt/graph.xml \
280   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
281   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
282
283
284 # Test stuff
285 xbt_tests = \
286         xbt/log_usage                                            \
287         xbt/heap_bench                                           \
288         xbt/graphxml_usage                                       \
289         xbt/context_usage                                        
290
291 SG_tests = \
292         surf/maxmin_bench surf/lmm_usage \
293         surf/trace_usage surf/surf_usage surf/surf_usage2
294
295 simdag_tests = simdag/sd_test
296 check_SCRIPTS = run_tests 
297 TESTS = run_tests
298
299 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
300 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
301 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
302 xbt_log_usage_LDADD = $(LDADD_RL)
303 xbt_heap_bench_LDADD = $(LDADD_RL)
304 xbt_graphxml_usage_LDADD = $(LDADD_SG)
305 xbt_context_usage_LDADD = $(LDADD_SG)
306 surf_maxmin_bench_LDADD = $(LDADD_SG)
307 surf_lmm_usage_LDADD = $(LDADD_SG)
308 surf_trace_usage_LDADD = $(LDADD_SG)
309 surf_surf_usage_LDADD = $(LDADD_SG)
310 surf_surf_usage2_LDADD = $(LDADD_SG)
311 simdag_sd_test_LDADD = $(LDADD_SG)
312 all: all-am
313
314 .SUFFIXES:
315 .SUFFIXES: .c .lo .o .obj
316 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
317         @for dep in $?; do \
318           case '$(am__configure_deps)' in \
319             *$$dep*) \
320               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
321                 && exit 0; \
322               exit 1;; \
323           esac; \
324         done; \
325         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
326         cd $(top_srcdir) && \
327           $(AUTOMAKE) --gnu  testsuite/Makefile
328 .PRECIOUS: Makefile
329 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
330         @case '$?' in \
331           *config.status*) \
332             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
333           *) \
334             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
335             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
336         esac;
337
338 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
339         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
340
341 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
342         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
343 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
344         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
345 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
346         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
347
348 clean-checkPROGRAMS:
349         @list='$(check_PROGRAMS)'; for p in $$list; do \
350           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
351           echo " rm -f $$p $$f"; \
352           rm -f $$p $$f ; \
353         done
354 simdag/$(am__dirstamp):
355         @$(MKDIR_P) simdag
356         @: > simdag/$(am__dirstamp)
357 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
358         @rm -f simdag/sd_test$(EXEEXT)
359         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
360 surf/$(am__dirstamp):
361         @$(MKDIR_P) surf
362         @: > surf/$(am__dirstamp)
363 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
364         @rm -f surf/lmm_usage$(EXEEXT)
365         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
366 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
367         @rm -f surf/maxmin_bench$(EXEEXT)
368         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
369 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
370         @rm -f surf/surf_usage$(EXEEXT)
371         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
372 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
373         @rm -f surf/surf_usage2$(EXEEXT)
374         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
375 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
376         @rm -f surf/trace_usage$(EXEEXT)
377         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
378 xbt/$(am__dirstamp):
379         @$(MKDIR_P) xbt
380         @: > xbt/$(am__dirstamp)
381 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
382         @rm -f xbt/context_usage$(EXEEXT)
383         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
384 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
385         @rm -f xbt/graphxml_usage$(EXEEXT)
386         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
387 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
388         @rm -f xbt/heap_bench$(EXEEXT)
389         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
390 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
391         @rm -f xbt/log_usage$(EXEEXT)
392         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
393
394 mostlyclean-compile:
395         -rm -f *.$(OBJEXT)
396
397 distclean-compile:
398         -rm -f *.tab.c
399
400 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
401 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
402 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
403 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
404 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
405 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
406 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
407 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
410
411 .c.o:
412 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
413 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
416 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
417
418 .c.obj:
419 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
420 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
424
425 .c.lo:
426 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
427 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
428 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
430 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
431
432 sd_test.o: simdag/sd_test.c
433 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
434 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
437 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
438
439 sd_test.obj: simdag/sd_test.c
440 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
441 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
444 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
445
446 lmm_usage.o: surf/lmm_usage.c
447 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
448 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
449 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
451 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
452
453 lmm_usage.obj: surf/lmm_usage.c
454 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
455 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
456 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
458 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
459
460 maxmin_bench.o: surf/maxmin_bench.c
461 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
462 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
465 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
466
467 maxmin_bench.obj: surf/maxmin_bench.c
468 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
469 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
472 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
473
474 surf_usage.o: surf/surf_usage.c
475 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
476 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
479 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
480
481 surf_usage.obj: surf/surf_usage.c
482 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
483 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
487
488 surf_usage2.o: surf/surf_usage2.c
489 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
490 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
494
495 surf_usage2.obj: surf/surf_usage2.c
496 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
497 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
501
502 trace_usage.o: surf/trace_usage.c
503 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
504 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
508
509 trace_usage.obj: surf/trace_usage.c
510 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
511 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
515
516 context_usage.o: xbt/context_usage.c
517 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
518 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
522
523 context_usage.obj: xbt/context_usage.c
524 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
525 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
528 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
529
530 graphxml_usage.o: xbt/graphxml_usage.c
531 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
532 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
536
537 graphxml_usage.obj: xbt/graphxml_usage.c
538 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
539 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
542 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
543
544 heap_bench.o: xbt/heap_bench.c
545 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
546 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
550
551 heap_bench.obj: xbt/heap_bench.c
552 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
553 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
555 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
556 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
557
558 log_usage.o: xbt/log_usage.c
559 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
560 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
562 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
563 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
564
565 log_usage.obj: xbt/log_usage.c
566 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
567 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
569 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
570 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
571
572 mostlyclean-libtool:
573         -rm -f *.lo
574
575 clean-libtool:
576         -rm -rf .libs _libs
577         -rm -rf simdag/.libs simdag/_libs
578         -rm -rf surf/.libs surf/_libs
579         -rm -rf xbt/.libs xbt/_libs
580
581 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
582         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
583         unique=`for i in $$list; do \
584             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
585           done | \
586           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
587               END { if (nonempty) { for (i in files) print i; }; }'`; \
588         mkid -fID $$unique
589 tags: TAGS
590
591 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
592                 $(TAGS_FILES) $(LISP)
593         tags=; \
594         here=`pwd`; \
595         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
596         unique=`for i in $$list; do \
597             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
598           done | \
599           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
600               END { if (nonempty) { for (i in files) print i; }; }'`; \
601         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
602           test -n "$$unique" || unique=$$empty_fix; \
603           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
604             $$tags $$unique; \
605         fi
606 ctags: CTAGS
607 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
608                 $(TAGS_FILES) $(LISP)
609         tags=; \
610         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
611         unique=`for i in $$list; do \
612             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
613           done | \
614           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
615               END { if (nonempty) { for (i in files) print i; }; }'`; \
616         test -z "$(CTAGS_ARGS)$$tags$$unique" \
617           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
618              $$tags $$unique
619
620 GTAGS:
621         here=`$(am__cd) $(top_builddir) && pwd` \
622           && cd $(top_srcdir) \
623           && gtags -i $(GTAGS_ARGS) $$here
624
625 distclean-tags:
626         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
627
628 check-TESTS: $(TESTS)
629         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
630         srcdir=$(srcdir); export srcdir; \
631         list=' $(TESTS) '; \
632         if test -n "$$list"; then \
633           for tst in $$list; do \
634             if test -f ./$$tst; then dir=./; \
635             elif test -f $$tst; then dir=; \
636             else dir="$(srcdir)/"; fi; \
637             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
638               all=`expr $$all + 1`; \
639               case " $(XFAIL_TESTS) " in \
640               *$$ws$$tst$$ws*) \
641                 xpass=`expr $$xpass + 1`; \
642                 failed=`expr $$failed + 1`; \
643                 echo "XPASS: $$tst"; \
644               ;; \
645               *) \
646                 echo "PASS: $$tst"; \
647               ;; \
648               esac; \
649             elif test $$? -ne 77; then \
650               all=`expr $$all + 1`; \
651               case " $(XFAIL_TESTS) " in \
652               *$$ws$$tst$$ws*) \
653                 xfail=`expr $$xfail + 1`; \
654                 echo "XFAIL: $$tst"; \
655               ;; \
656               *) \
657                 failed=`expr $$failed + 1`; \
658                 echo "FAIL: $$tst"; \
659               ;; \
660               esac; \
661             else \
662               skip=`expr $$skip + 1`; \
663               echo "SKIP: $$tst"; \
664             fi; \
665           done; \
666           if test "$$failed" -eq 0; then \
667             if test "$$xfail" -eq 0; then \
668               banner="All $$all tests passed"; \
669             else \
670               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
671             fi; \
672           else \
673             if test "$$xpass" -eq 0; then \
674               banner="$$failed of $$all tests failed"; \
675             else \
676               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
677             fi; \
678           fi; \
679           dashes="$$banner"; \
680           skipped=""; \
681           if test "$$skip" -ne 0; then \
682             skipped="($$skip tests were not run)"; \
683             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
684               dashes="$$skipped"; \
685           fi; \
686           report=""; \
687           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
688             report="Please report to $(PACKAGE_BUGREPORT)"; \
689             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
690               dashes="$$report"; \
691           fi; \
692           dashes=`echo "$$dashes" | sed s/./=/g`; \
693           echo "$$dashes"; \
694           echo "$$banner"; \
695           test -z "$$skipped" || echo "$$skipped"; \
696           test -z "$$report" || echo "$$report"; \
697           echo "$$dashes"; \
698           test "$$failed" -eq 0; \
699         else :; fi
700
701 distdir: $(DISTFILES)
702         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
703         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
704         list='$(DISTFILES)'; \
705           dist_files=`for file in $$list; do echo $$file; done | \
706           sed -e "s|^$$srcdirstrip/||;t" \
707               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
708         case $$dist_files in \
709           */*) $(MKDIR_P) `echo "$$dist_files" | \
710                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
711                            sort -u` ;; \
712         esac; \
713         for file in $$dist_files; do \
714           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
715           if test -d $$d/$$file; then \
716             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
717             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
718               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
719             fi; \
720             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
721           else \
722             test -f $(distdir)/$$file \
723             || cp -p $$d/$$file $(distdir)/$$file \
724             || exit 1; \
725           fi; \
726         done
727 check-am: all-am
728         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
729         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
730 check: check-am
731 all-am: Makefile
732 installdirs:
733 install: install-am
734 install-exec: install-exec-am
735 install-data: install-data-am
736 uninstall: uninstall-am
737
738 install-am: all-am
739         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
740
741 installcheck: installcheck-am
742 install-strip:
743         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
744           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
745           `test -z '$(STRIP)' || \
746             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
747 mostlyclean-generic:
748
749 clean-generic:
750         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
751
752 distclean-generic:
753         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
754         -rm -f simdag/$(am__dirstamp)
755         -rm -f surf/$(am__dirstamp)
756         -rm -f xbt/$(am__dirstamp)
757         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
758
759 maintainer-clean-generic:
760         @echo "This command is intended for maintainers to use"
761         @echo "it deletes files that may require special tools to rebuild."
762 clean: clean-am
763
764 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
765         mostlyclean-am
766
767 distclean: distclean-am
768         -rm -rf ./$(DEPDIR)
769         -rm -f Makefile
770 distclean-am: clean-am distclean-compile distclean-generic \
771         distclean-tags
772
773 dvi: dvi-am
774
775 dvi-am:
776
777 html: html-am
778
779 info: info-am
780
781 info-am:
782
783 install-data-am:
784
785 install-dvi: install-dvi-am
786
787 install-exec-am:
788
789 install-html: install-html-am
790
791 install-info: install-info-am
792
793 install-man:
794
795 install-pdf: install-pdf-am
796
797 install-ps: install-ps-am
798
799 installcheck-am:
800
801 maintainer-clean: maintainer-clean-am
802         -rm -rf ./$(DEPDIR)
803         -rm -f Makefile
804 maintainer-clean-am: distclean-am maintainer-clean-generic
805
806 mostlyclean: mostlyclean-am
807
808 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
809         mostlyclean-libtool
810
811 pdf: pdf-am
812
813 pdf-am:
814
815 ps: ps-am
816
817 ps-am:
818
819 uninstall-am:
820
821 .MAKE: install-am install-strip
822
823 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
824         clean-checkPROGRAMS clean-generic clean-libtool ctags \
825         distclean distclean-compile distclean-generic \
826         distclean-libtool distclean-tags distdir dvi dvi-am html \
827         html-am info info-am install install-am install-data \
828         install-data-am install-dvi install-dvi-am install-exec \
829         install-exec-am install-html install-html-am install-info \
830         install-info-am install-man install-pdf install-pdf-am \
831         install-ps install-ps-am install-strip installcheck \
832         installcheck-am installdirs maintainer-clean \
833         maintainer-clean-generic mostlyclean mostlyclean-compile \
834         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
835         tags uninstall uninstall-am
836
837
838 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
839         ./run_tests
840 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
841         ./run_tests valgrind
842
843 dist-files:
844         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
845         @echo
846         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
847 # Tell versions [3.59,3.63) of GNU make to not export all variables.
848 # Otherwise a system limit (for SysV at least) may be exceeded.
849 .NOEXPORT: